from __future__ import print_function
from math import *


def g(x):
   return 1 / (1 + x * x)


def apprid(x, n):
   if abs(x) <= n:
      return 1
   elif abs(x) <= n + 1:
      return n + 1 - abs(x)
   else:
      return 0


def f(x, n):
   return apprid(x, n) / g(x)


def myrange(start, n, d):
   return [start + d * k for k in range(n)]


def strfpoint(x, n):
   return "({0:.4f},{1:.4f})".format(x, f(x, n))


def strfvalues(n):
   s = " ".join([strfpoint(x, n) for x in myrange(- n - 1, 5, 0.1)]) + "\n"
   s += " ".join([strfpoint(x, n) for x in myrange(- n - 0.5, 6, 0.1)]) + "\n\n\n"
   s += " ".join([strfpoint(x, n) for x in myrange(n, 5, 0.1)]) + "\n"
   s += " ".join([strfpoint(x, n) for x in myrange(n + 0.5, 6, 0.1)]) + "\n\n\n"
   return s


fout = open("cauchyinversevalues.table", "wt")
for n in range(3):
   print(strfvalues(n), file = fout)
fout.close()

