from __future__ import print_function
from math import *


def myrange(start, n, d):
   return [start + d * k for k in range(n)]


def f(x, n):
   return sin(n * x) * sin(n * x) / (pi * n * x * x) if x != 0 else n / pi

def strfpoint(x, n):
   return "({0:.4f},{1:.4f})".format(x, f(x, n))


def strfvalues(n):
   s = ""
   for m in myrange(-3.5, 7, 0.5):
      s += " ".join([strfpoint(x, n) for x in myrange(m, 5, 0.1)]) + "\n"
   for m in myrange(0, 7, 0.5):
      s += " ".join([strfpoint(x, n) for x in myrange(m, 5, 0.1)]) + "\n"
   s += strfpoint(3.5, n) + "\n\n\n"
   return s


fout = open("diracvalues.table", "wt")
for n in range(1, 6):
   print(strfvalues(n), file = fout)
fout.close()

